## org.apache.log4j.jmx
Class Agent

    java.lang.Object
      org.apache.log4j.jmx.Agent

Deprecated.

    public class Agent

extends Object

Manages an instance of com.sun.jdmk.comm.HtmlAdapterServer which was provided for demonstration purposes in the Java Management Extensions Reference Implementation 1.2.1. This class is provided to maintain compatibility with earlier versions of log4j and use in new code is discouraged.

Constructor Summary
`Agent()` Deprecated.

Method Summary
`void` `start()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Agent

    public Agent()

  Deprecated.

  Create new instance.

Method Detail

### start

    public void start()

  Deprecated.

  Starts instance of HtmlAdapterServer.

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.